## petname 1.8

=== debian/changelog ===
petname (1.8-0ubuntu1) vivid; urgency=medium

  * usr/bin/petname:
    - add a -h|--help option that drops you in the manpage
  * usr/bin/petname, usr/share/man/man1/petname.1,
    usr/share/petname/petname.sh:
    - support directories with customized adjectives, adverbs, and names
  * usr/bin/petname, usr/share/petname/petname.sh:
    - move into a Generate() function
  * usr/share/petname/names.txt:
    - drastically increase list of first names, using US Census data:
      http://deron.meranda.us/data/census-derived-all-first.txt
  * README.md, usr/share/petname/adjectives.txt,
    usr/share/petname/adverbs.txt:
    - drastically increase lists of adverbs and adjectives using:
      http://wordlist.aspell.net/agid-readme/
    - update readme docs

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Jan 2015 11:30:54 -0600

petname (1.7-0ubuntu1) vivid; urgency=medium

  * usr/bin/petname, usr/share/petname/petname.sh:
    - drop the "Rand" prefix, as it's implicit

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Jan 2015 11:30:51 -0600

petname (1.6-0ubuntu1) vivid; urgency=medium

  * debian/rules, usr/share/petname/names.txt:
    - ensure our LC_ALL=C so that our grep works
    - prune out a name with a funny character caught by our grep

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Jan 2015 09:36:43 -0600

petname (1.5-0ubuntu1) vivid; urgency=medium

  * usr/bin/petname:
    - ensure that the binary can run from local source checkout
  * === added directory usr/share/petname, debian/rules, === removed
    directory usr/lib, === removed directory usr/lib/petname,
    usr/bin/petname, usr/lib/petname/adjectives.txt =>
    usr/share/petname/adjectives.txt, usr/lib/petname/adverbs.txt =>
    usr/share/petname/adverbs.txt, usr/lib/petname/names.txt =>
    usr/share/petname/names.txt, usr/lib/petname/petname.sh =>
    usr/share/petname/petname.sh:
    - this is architecture independent, so move lib -> share
  * usr/share/petname/petname.sh:
    - add interpreter to silence lintian

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Jan 2015 09:17:36 -0600

petname (1.4-0ubuntu1) vivid; urgency=medium

  * usr/lib/petname/names.txt:
    - remove some religious figures

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 14:28:29 -0600

petname (1.3-0ubuntu1) vivid; urgency=medium

  * README.md:
    - update docs to point to pypi and pip install instructions
    - add apt-get install instructions

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 14:05:41 -0600

petname (1.2-0ubuntu1) vivid; urgency=medium

  * usr/bin/petname, usr/lib/petname/petname.sh:
    - simplify our shell functions to just output rather than $_RET

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 13:23:39 -0600

petname (1.1-0ubuntu1) vivid; urgency=medium

  * debian/copyright, README.md:
    - update readme, add local location of license
  * debian/copyright, debian/petname.install => debian/install,
    usr/bin/petname, usr/lib/petname/petname.sh:
    - install README, which is used by downstream packages
    - move functions to common library
    - use common library in shell script

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 12:33:51 -0600

petname (1.0-0ubuntu1) vivid; urgency=medium

  * === added directory usr, === added directory usr/bin, === added
    directory usr/lib, === added directory usr/lib/petname,
    adjectives.txt => usr/lib/petname/adjectives.txt, adverbs.txt =>
    usr/lib/petname/adverbs.txt, cmd/petname/main.go, debian/control,
    debian/golang-petname-dev.install, debian/petname.install,
    debian/python-petname.install, debian/rules, __init__.py, Makefile,
    names.txt => usr/lib/petname/names.txt, petname.go, petname.go.in,
    petname/petname.py, petname/petname.py.in, petname_test.go, ===
    removed directory cmd, === removed directory cmd/petname, ===
    removed directory petname, === removed directory src, === removed
    directory src/github.com, === removed directory
    src/github.com/dustinkirkland, === removed symlink
    src/github.com/dustinkirkland/petname, setup.py, === target was
    u../../../, update.sh, usr/bin/petname:
    - initial repackaging
  * usr/bin/petname:
    - sh is fine, not using bash
  * usr/lib/petname/adverbs.txt, usr/lib/petname/names.txt:
    - fix up a few words
  * debian/rules, LICENSE:
    - add a license, and a test for the word lists
  * === added directory usr/share, === added directory usr/share/man,
    === added directory usr/share/man/man1,
    usr/share/man/man1/petname.1:
    - add a manpage, update the README
  * README.md:
    - update readme, add code examples
  * usr/lib/petname/adjectives.txt, usr/lib/petname/names.txt:
    - fix sorting, add a few words and names

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 12:33:49 -0600
