=== debian/control ===
Source: petname
Section: admin
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 8),
Standards-Version: 3.9.5
Homepage: http://launchpad.net/petname
Vcs-Browser: http://bazaar.launchpad.net/~petname/petname/trunk/files
Vcs-Bzr: https://code.launchpad.net/petname/petname/trunk

Package: petname
Architecture: all
Depends: ${misc:Depends}
Description: generate pronouncable, perhaps even memorable, pet names
 This utility will generate "pet names", consisting of a random
 combination of an adverb, adjective, and proper name.  These are
 useful for unique hostnames, for instance.
 The default packaging contains about 2000 names, 1300 adjectives,
 and 4000 adverbs, yielding nearly 10 billion unique combinations,
 covering over 32 bits of unique namespace.
 As such, PetName tries to follow the tenets of Zooko's triangle:
 names are human meaningful, decentralized, and secure.
