## petname 2.5

=== debian/changelog ===
petname (2.5-0ubuntu1) yakkety; urgency=medium

  * === added directory icons, icons/icon.png, icons/petname_14.png,
    icons/petname_192.png, icons/petname_64.png, usr/bin/petname:
    - added an icon (a dog tag)
  * snapcraft.yaml:
    - add snapcraft build instructions
    - use binary builds, since we use the coreutils binaries
    - fix arch
    - add icon
  * icons/petname.png:
    - added icon

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Aug 2016 14:03:14 -0500

petname (2.4-0ubuntu1) yakkety; urgency=medium

  * === added directory usr/share/petname/medium, === added symlink
    usr/share/petname/adjectives.txt, === added symlink
    usr/share/petname/adverbs.txt, === added symlink
    usr/share/petname/names.txt, debian/rules, debian/tests/check_words,
    === renamed directory usr/share/petname/complex =>
    usr/share/petname/large, === renamed directory
    usr/share/petname/easy => usr/share/petname/small, === target is
    usmall/adjectives.txt, === target is usmall/adverbs.txt, === target
    is usmall/names.txt, usr/bin/petname, usr/share/man/man1/petname.1,
    usr/share/petname/adjectives.txt =>
    usr/share/petname/medium/adjectives.txt,
    usr/share/petname/adverbs.txt =>
    usr/share/petname/medium/adverbs.txt, usr/share/petname/names.txt =>
    usr/share/petname/medium/names.txt:
    - default to our simplest word-base, which gives ~205K adjective-animal
      combinations, which are memorable, by default
  * debian/rules, debian/tests/check_words:
    - test updates

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Aug 2016 14:03:12 -0500

petname (2.3-0ubuntu1) yakkety; urgency=medium

  * debian/tests/check_words:
    - bypass the dict(1) tests when building in the buildd

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 08 Aug 2016 22:13:36 -0500

petname (2.2-0ubuntu1) yakkety; urgency=medium

  * debian/control:
    - add a couple of ispell build-deps, to fix broken build

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 08 Aug 2016 21:37:06 -0500

petname (2.1-0ubuntu1) yakkety; urgency=medium

  * debian/blacklist.txt, debian/tests/check_words,
    usr/share/petname/names.txt:
    - manual dictionary scrub of animal names;  I checked and read every
      entry to ensure names.txt consists only of animals
  * usr/share/petname/adverbs.txt, usr/share/petname/names.txt:
    - remove any adverbs/adjectives which are not recognized by ispell
  * debian/blacklist.txt, debian/tests/check_words,
    usr/share/petname/adjectives.txt, usr/share/petname/adverbs.txt:
    - add more tests
    - remove adverbs that aren't adverbs
    - remove adjectives that aren't adjectives
  * debian/tests/check_words, usr/share/petname/adjectives.txt:
    - add a test to detect repeated words
    - remove some repeated words
  * debian/tests/check_words, debian/whitelist.txt,
    usr/share/petname/names.txt:
    - simplify animal names further
    - add dictionary tests to ensure animal names are nouns and common
  * debian/blacklist.txt, debian/tests/check_words,
    usr/share/petname/adjectives.txt, usr/share/petname/adverbs.txt,
    usr/share/petname/names.txt:
    - add a couple to the blacklist
    - create a whitelist (for okay words not in the dictionary)
    - move some tests to run sooner
    - add some adverbs
  * debian/tests/check_words, usr/share/petname/adverbs.txt,
    usr/share/petname/names.txt:
    - separate the SCOWL tests for adj/adv
    - add a bunch of adverbs back, now that they pass tests
  * usr/bin/petname:
    - fix typo/regression in words>=3
  * === added directory usr/share/petname/easy,
    debian/tests/check_words, usr/share/petname/easy/adjectives.txt,
    usr/share/petname/easy/adverbs.txt,
    usr/share/petname/easy/names.txt:
    - enable the test to run against multiple directories
    - create an 'easy' set of words
  * debian/rules, debian/tests/check_words, usr/bin/petname,
    usr/share/man/man1/petname.1,
    usr/share/petname/complex/adjectives.txt,
    usr/share/petname/complex/adverbs.txt,
    usr/share/petname/complex/names.txt:
    - add a new -c|--complexity parameter, to support easy, standard, and
      complex words
    - run our tests against each
  * README.md, usr/share/man/man1/petname.1:
    - generate our README.md from our manpage
  * debian/rules, README.md, usr/share/man/man1/petname.1:
    - reformat for github
  * README.md, usr/share/man/man1/petname.1:
    - manually mangle our markdown readme
  * debian/control:

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 08 Aug 2016 21:21:54 -0500

petname (2.0-0ubuntu1) yakkety; urgency=medium

  * README.md, usr/bin/petname, usr/share/man/man1/petname.1:
    - add support for an option -l|--letters parameter,
      to enable shorter, more readable names
  * usr/bin/petname:
    - ensure we don't go less than 3 letters
  * === added directory usr/share/petname/complex,
    usr/share/petname/complex/adjectives.txt,
    usr/share/petname/complex/adverbs.txt,
    usr/share/petname/complex/names.txt:
    - backup a copy of the "complex" names
  * === added directory usr/share/petname/complex, README.md,
    usr/share/petname/adjectives.txt, usr/share/petname/adverbs.txt,
    usr/share/petname/complex/adjectives.txt,
    usr/share/petname/complex/adverbs.txt,
    usr/share/petname/complex/names.txt, usr/share/petname/names.txt:
    - LP: #1583402
    - drastically simplify petnames by culling complex names, adjectives,
      and adverbs
    - we do this by adding a couple of requirements on our words, which
      should now be:
      + 12 characters or less
      + 4 syllables or less
      + words known in Ubuntu's dict(1)
  * debian/blacklist.txt, debian/control, debian/rules, usr/bin/petname:
    - build depend on a few utilities necessary to test our wordlists
      at build time
    - test all words against our specs
  * debian/blacklist.txt, debian/control, debian/rules, README.md,
    usr/share/petname/adjectives.txt, usr/share/petname/adverbs.txt,

