=== debian/control ===
Source: petname
Section: admin
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 8), dict, liblingua-en-syllable-perl, dictd, dict-gcide, dict-wn, scowl, ispell, ienglish-common, iamerican
Standards-Version: 3.9.7
Homepage: http://launchpad.net/petname
Vcs-Browser: http://bazaar.launchpad.net/~petname/petname/trunk/files
Vcs-Bzr: https://code.launchpad.net/petname/petname/trunk

Package: petname
Architecture: all
Depends: ${misc:Depends}
Recommends: dict
Description: generate pronouncable, perhaps even memorable, pet names
 This utility will generate "pet names", consisting of a random
 combination of an adverb, adjective, and an animal name.  These are
 useful for unique hostnames, VMs, or containers, for instance.
