=== debian/tests/control ===
Tests: check_words
Depends: dict, liblingua-en-syllable-perl, dictd, dict-gcide, dict-wn, scowl, ispell
