## petname 2.7

=== debian/changelog ===
petname (2.7-0ubuntu1) artful; urgency=medium

  * usr/share/petname/small/names.txt,
    usr/share/petname/large/adverbs.txt,
    usr/share/petname/medium/names.txt:
    - remove two words (gryphon, crawfish) that seem to have fallen out
      of the common database
    - remove word that has fallen out of the database (skillfully)
  * debian/control:
    - fix lintian errors
  * debian/compat:
    - bump compat
  * debian/compat, debian/control, debian/rules,
    debian/tests/check_words => debian/tests/checkwords,
    debian/tests/control:
    - fix test name to make lintian happy

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 26 May 2017 14:50:54 -0500

petname (2.6-0ubuntu1) artful; urgency=medium

  * debian/tests/check_words, usr/share/petname/small/adjectives.txt:
    - added "funky"
    - enumerated tests
  * README.md:
    - fixup the markdown
  * README.md, usr/share/man/man1/petname.1:
    - more markdown syntax fixes
  * README.md, usr/share/man/man1/petname.1:
    - recommend pip3

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 26 May 2017 14:50:51 -0500
