=== debian/tests/control ===
Tests: checkwords
Depends: dict, liblingua-en-syllable-perl, dictd, dict-gcide, dict-wn, scowl, ispell
