## petname 2.8

=== debian/changelog ===
petname (2.8-0ubuntu1) eoan; urgency=medium

  * README.md:
    - update to the newer python-petname readme
    - refer to https://tools.ietf.org/html/rfc1178
    - update golang and python examples
  * debian/control:
    - recommend man-db for --help

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 12 Jun 2019 19:54:27 -0500
